???File Path
==========
***...\Models\assets\AssetsModels.cs\n\n\n// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
// @@@@@@@@@@  AssetsSaleWriteOffDetails  @@@@@@@@@@
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
public class MdlAssetsSaleWriteOffDetails {

	public long binAssetsSaleWriteOffId { get; set; } = 0;
	[Required()]
	[Display(Name = "Assets Sale Write Off Master")]
	public long binAssetsSaleWriteOffMasterId { get; set; } = 0;
	
	[Required()]
	[Display(Name = "Assets")]
	public long binAssetsId { get; set; } = 0;
	
	[Required(AllowEmptyStrings = false)]
	[DisplayFormat(ConvertEmptyStringToNull = false)]
	[StringLength(3)]
	[Display(Name = "Ledg Currency")]
	public string strLedgCurrency { get; set; } = "";
	public double dblLedgCurRoe { get; set; } = 1.00;
	public double dblLedgCurPrice { get; set; } = 0.0;
	public double dblLedgCurProfit { get; set; } = 0.0;
	
	[Required(AllowEmptyStrings = false)]
	[DisplayFormat(ConvertEmptyStringToNull = false)]
	[StringLength(3)]
	[Display(Name = "Base Currency")]
	public string strBaseCurrency { get; set; } = "";
	public double dblBaseCurPrice { get; set; } = 0.0;
	public double dblBaseCurProfit { get; set; } = 0.0;
	
	[Required(AllowEmptyStrings = false)]
	[DisplayFormat(ConvertEmptyStringToNull = false)]
	[StringLength(3)]
	[Display(Name = "Assets Ledg Currency")]
	public string strAssetsLedgCurrency { get; set; } = "";
	public double dblAssetsLedgCurRoe { get; set; } = 1.00;
	public double dblAssetsLedgCurCurrentValue { get; set; } = 0.0;
	public double dblAssetsLedgCurProfit { get; set; } = 0.0;
	
	[Required(AllowEmptyStrings = false)]
	[DisplayFormat(ConvertEmptyStringToNull = false)]
	[StringLength(3)]
	[Display(Name = "Assets Base Currency")]
	public string strAssetsBaseCurrency { get; set; } = "";
	public double dblAssetsBaseCurCurrentValue { get; set; } = 0.0;
	public double dblAssetsBaseCurProfit { get; set; } = 0.0;
	
	public short sinSalesCount { get; set; } = 0;
	public short sinAssetsPreviousStatus { get; set; } = 1;
	
}

public class MdlReqAssetsSaleWriteOffDetails : MdlRequest {

	public MdlAssetsSaleWriteOffDetails mdlAssetsSaleWriteOffDetails { get; set; } = new MdlAssetsSaleWriteOffDetails();
}

public class MdlResAssetsSaleWriteOffDetails : MdlResponse {

	public MdlAssetsSaleWriteOffDetails mdlAssetsSaleWriteOffDetails { get; set; } = new MdlAssetsSaleWriteOffDetails();
}

public class MdlResAssetsSaleWriteOffDetailsList : MdlResponse {

	public List<MdlAssetsSaleWriteOffDetails> lstMdlAssetsSaleWriteOffDetails { get; set; } = new List<MdlAssetsSaleWriteOffDetails>();
}

public class MdlResAssetsSaleWriteOffDetailsInit : MdlResponse {
	public List<MdlBaseIntId> lstMdlAssetsSaleWriteOffMasterBaseIntId { get; set; } = new List<MdlBaseIntId>();
	public List<MdlBaseIntId> lstMdlAssetsBaseIntId { get; set; } = new List<MdlBaseIntId>();


	public List<MdlAssetsSaleWriteOffDetails> lstMdlAssetsSaleWriteOffDetails { get; set; } = new List<MdlAssetsSaleWriteOffDetails>();
}

