???File Path
==========
***...\Models\assets\AssetsModels.cs\n\n\n// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
// @@@@@@@@@@@  AssetsSaleWriteOffMaster  @@@@@@@@@@@
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
public class MdlAssetsSaleWriteOffMaster {

	public long binAssetsSaleWriteOffMasterId { get; set; } = 0;
	[Required()]
	[Display(Name = "Documents")]
	public long binDocumentsId { get; set; } = 0;
	public long? binDepreciationMasterId { get; set; } = null;
	
	public long? binCostCentreId { get; set; } = null;
	public short sinIfSale { get; set; } = 1;
	
	public long? binReceivedChequeId { get; set; } = null;
	public long? binCcSwapId { get; set; } = null;
	[StringLength(200)]
	public string strDepositorName { get; set; } = "";
	[StringLength(100)]
	public string strDepositorRefNo { get; set; } = "";
	
	[StringLength(100)]
	public string strPayeeVpa { get; set; } = "";
	[StringLength(100)]
	public string strPayeeVpaBank { get; set; } = "";
	
	[StringLength(100)]
	public string strVirtualNumber { get; set; } = "";
	[StringLength(200)]
	public string strVirtualProvider { get; set; } = "";
	[StringLength(500)]
	public string strVirtualReference { get; set; } = "";
	
	[Required(AllowEmptyStrings = false)]
	[DisplayFormat(ConvertEmptyStringToNull = false)]
	[StringLength(3)]
	[Display(Name = "Ledg Currency")]
	public string strLedgCurrency { get; set; } = "";
	public double dblLedgCurRoe { get; set; } = 1.00;
	public double dblLedgCurAmount { get; set; } = 0.0;
	public double dblLedgCurBankCharge { get; set; } = 0.0;
	
	[Required(AllowEmptyStrings = false)]
	[DisplayFormat(ConvertEmptyStringToNull = false)]
	[StringLength(3)]
	[Display(Name = "Base Currency")]
	public string strBaseCurrency { get; set; } = "";
	public double dblBaseCurAmount { get; set; } = 0.0;
	public double dblBaseCurBankCharge { get; set; } = 0.0;
	
	public long? binServiceTaxId { get; set; } = null;
	public double dblSysPerceOfTax { get; set; } = 0.0;
	public double dblPerceOfTax { get; set; } = 0.0;
	public double dblLedgCurTaxBaseAmount { get; set; } = 0.0;
	public double dblLedgCurTaxAmount { get; set; } = 0.0;
	
	public double dblBaseCurTaxBaseAmount { get; set; } = 0.0;
	public double dblBaseCurTaxAmount { get; set; } = 0.0;
	
}

public class MdlReqAssetsSaleWriteOffMaster : MdlRequest {

	public MdlAssetsSaleWriteOffMaster mdlAssetsSaleWriteOffMaster { get; set; } = new MdlAssetsSaleWriteOffMaster();
}

public class MdlResAssetsSaleWriteOffMaster : MdlResponse {

	public MdlAssetsSaleWriteOffMaster mdlAssetsSaleWriteOffMaster { get; set; } = new MdlAssetsSaleWriteOffMaster();
}

public class MdlResAssetsSaleWriteOffMasterList : MdlResponse {

	public List<MdlAssetsSaleWriteOffMaster> lstMdlAssetsSaleWriteOffMaster { get; set; } = new List<MdlAssetsSaleWriteOffMaster>();
}

public class MdlResAssetsSaleWriteOffMasterInit : MdlResponse {
	public List<MdlBaseIntId> lstMdlDocumentsBaseIntId { get; set; } = new List<MdlBaseIntId>();
	public List<MdlBaseIntId> lstMdlDepreciationMasterBaseIntId { get; set; } = new List<MdlBaseIntId>();
	public List<MdlBaseIntId> lstMdlCostCentreBaseIntId { get; set; } = new List<MdlBaseIntId>();
	public List<MdlBaseIntId> lstMdlReceivedChequeBaseIntId { get; set; } = new List<MdlBaseIntId>();
	public List<MdlBaseIntId> lstMdlCcSwapBaseIntId { get; set; } = new List<MdlBaseIntId>();
	public List<MdlBaseIntId> lstMdlServiceTaxBaseIntId { get; set; } = new List<MdlBaseIntId>();


	public List<MdlAssetsSaleWriteOffMaster> lstMdlAssetsSaleWriteOffMaster { get; set; } = new List<MdlAssetsSaleWriteOffMaster>();
}

